## catsboot 0.2.3

=== Makefile ===
CFLAGS = -Wall -O

all: catsboot catsglue.bin

catsglue.bin: catsglue
	objcopy $< -O binary $@

catsglue: catsglue.o
	ld -o $@ $<

clean:
	rm -f catsboot catsglue catsglue.bin catsglue.o

install:
	strip catsboot
	install -d $(DESTDIR)/usr/lib/catsboot
	install -d $(DESTDIR)/usr/sbin
	install catsglue.bin $(DESTDIR)/usr/lib/catsboot
	install catsboot $(DESTDIR)/usr/sbin

## catsboot 0.2.2

=== debian/changelog ===
catsboot (0.2.2) stable unstable; urgency=high

  * Still no code change.  Bump the version number again for inclusion
    in 2.2r5. 

 -- Philip Blundell <pb@debian.org>  Sun, 11 Nov 2001 20:25:49 +0000

catsboot (0.2.1) stable unstable; urgency=medium

  * No code change, just bump the version for upload to stable.

 -- Philip Blundell <pb@debian.org>  Sun, 15 Apr 2001 22:40:45 +0100

catsboot (0.2) unstable; urgency=low

  * Rewrite to remove dependency on GNU ld

 -- Philip Blundell <pb@debian.org>  Sun, 18 Feb 2001 17:49:00 +0000

catsboot (0.1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Tue,  6 Feb 2001 08:08:02 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: catsboot
Section: base
Priority: standard
Maintainer: Philip Blundell <pb@debian.org>
Standards-Version: 3.0.1

Package: catsboot
Architecture: arm
Description: Boot glue for ARM CATS systems
 This package contains glue code to install the kernel on CATS machines
 in a form that is acceptable to the firmware.

## catsboot 0.2.3

=== debian/changelog ===
catsboot (0.2.3) unstable; urgency=low

  * Still no code change.  Add build dependency on debhelper,
    courtesy Roland Stigge.  (Closes: #216126)

 -- Philip Blundell <pb@debian.org>  Sun, 14 Dec 2003 16:59:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: base
 Priority: standard
 Maintainer: Philip Blundell <pb@debian.org>
+Build-Depends: debhelper (>= 1)
 Standards-Version: 3.0.1
 
 Package: catsboot

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
#	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
